Subject: Re: bug#14250: file locking fails if the hostname contains an @ character

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 25 Apr 2022 10:47:45 +0200

Glenn Morris <[email-masked]> writes:

> I'm surprised that one can even set a hostname to something with an "@";
> but if the system otherwise seems to work fine, Emacs should not fail in
> this cryptic way. Eg it could escape any "@" characters in the hostname
> when making the lockfile name.

I've now fixed this in Emacs 29 (but I'm not sure whether it's really
worth it -- this is one of those "don't do that, then" cases, so if
somebody wants to revert the patch and just leave this failing, that's
fine with me).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no